
Foreman - Bug #5762

Multiple matchers on smart variable

05/16/2014 04:28 PM - Paula Vaughan

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Parameters   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.5.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I'm trying to set up multiple matchers on a smart variable.  When I do so, I receive the following error...

PGError: ERROR: value too long for type character varying(255) : INSERT INTO "audits" ("action", "associated_id",

"associated_name", "associated_type", "auditable_id", "auditable_name", "auditable_type", "audited_changes", "comment",

"created_at", "remote_address", "user_id", "user_type", "username", "version") VALUES ($1, $2, $3, $4, $5, $6, $7, $8, $9, $10, $11,

$12, $13, $14, $15) RETURNING "id"

The full trace is...

ActiveRecord::StatementInvalid

PGError: ERROR: value too long for type character varying(255) : INSERT INTO "audits" ("action", "associated_id",

"associated_name", "associated_type", "auditable_id", "auditable_name", "auditable_type", "audited_changes", "comment",

"created_at", "remote_address", "user_id", "user_type", "username", "version") VALUES ($1, $2, $3, $4, $5, $6, $7, $8, $9, $10, $11,

$12, $13, $14, $15) RETURNING "id"

app/controllers/puppetclasses_controller.rb:32:in `update'

app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

lib/middleware/catch_json_parse_errors.rb:9:in `call'

The input was as follows:

The value in the "Order" field was

os,fqdn

and the value in the "Match" field was

os=stupid,fqdn=dummy

From the way I read the documentation for implementing multiple matchers, this should have worked.  Am I perhaps misreading the

documentation?

Related issues:

Is duplicate of Foreman - Bug #5671: Stack trace due to audit table field bei... Closed 05/12/2014

History

#1 - 05/16/2014 04:33 PM - Dominic Cleal

- Is duplicate of Bug #5671: Stack trace due to audit table field being too short added

#2 - 05/16/2014 04:33 PM - Dominic Cleal

- Status changed from New to Duplicate

This looks like the same issue as #5671, except I think it's the value of the matcher that's causing the problem rather than the matcher itself.  We've

got a fix prepared for Foreman 1.5.1 via that bug.
